O Linux Educacional irá atualizar o Kernel automático?


#1

E a galera tudo bem?

Estou iniciando e gostando do Linux Educacional 6 quanto ao Kernel ele está na versão 4.4 as atualizações serão feitas automáticas ou devo instalar manual?

Atenciosamente
Eric Koga


#2

Olá Eric!

Eu já havia feito pergunta semelhante em outro tópico e ninguém me respondeu!

Sendo assim dei uma analisada e salvo alguma mudança até o lançamento o que temos no momento no LE6 são atualizações automáticas do sistema e sem upgrade do Kernel, eu disse upgrade e não update! Ou seja, o kernel deve ser atualizado dentro de sua versão, mas não para uma nova versão.

Se quiser um kernel mais novo que o 4.4 você terá que fazê-lo manualmente. Se essa foi a sua pergunta!
Quanto a não atualização da versão do kernel isso deve a dois fatores, o repositório Backports não estará ativo por padrão, o que pode levar o LE6 a usar o kernel 4.10, e não estão usando os kerneis série HWE do Ubuntu.

Apesar do LE6 ter como base o Ubuntu 16.04, ele não segue a mesma política de atualizações do mesmo! Em instalalações limpas o Ubuntu 16.04 já vem com o kernel 4.8 por padrão. Com o Backports ativo ele pula para o 4.10, entre outros kerneis que podem ser utlizados.

Devido ao parque de máquinas a que o LE6 vai ser utilizado, eu acredito que o kernel 4.4 está ótimo, inclusive é LTS. Se o uso de uma versão mais nova do kernel não for bloqueada, quem precisar poderá fazer essa mudança.

Já cheguei inclusive a comentar em outro tópico que não tive boa experiência com kernels mais recentes em máquinas antigas, o que não é novidade nenhuma.

Mas vamos aguardar alguma resposta oficial!


#3

Se o LE6 for baseado no primeiro lançamento do Ubuntu 16.04, a atualização do kernel deve ser feita manualmente:

sudo apt-get install --install-recommends linux-generic-hwe-16.04

Caso ele tenha sido “rebaseado” em algum point-release do Ubuntu 16.04 (ex: 16.04.1, 16.04.2, 16.04.3, etc.), o pacote linux-generic-hwe-16.04 já deve vir instalado por padrão, garantindo os upgrades automáticos para o kernel.

Referência: https://wiki.ubuntu.com/Kernel/LTSEnablementStack

A questão importante é: você realmente precisa da versão mais recente do kernel? Seu hardware é muito novo e não é suportado pelo kernel 4.4? Precisa de algum recurso novo do kernel que foi introduzido após a versão 4.4?


#4

Olá. Peço desculpas se não respondemos sua pergunta @galactus. Apenas complementando:

Existem duas versões de kernel no Ubuntu 16.04, o linux-generic (atualmente na versão 4.4) e o linux-generic-hwe-16.04 (atualmente na versão 4.10). O primeiro prioriza estabilidade, o segundo suporte a novos hardwares e funcionalidades.

Considerando que o LE é utilizado primariamente em computadores mais antigos, nós optamos por embarcar a versão mais estável do kernel. Vale salientar, porém, que caso a versão 4.10 ou outra venha a ser considerada estável, o Linux Educacional será atualizado automaticamente.


Erros encontrados no linux educacional 6
#5

@dpasqualin, não precisa se desculpar por isso. Obrigado pela resposta! Foi o que imaginei quanto ao kernel do LE6. Como você mesmo disse o LE6 vai ser utilizado primariamente em computadores mais antigos, também concordo com a escolha do kernel 4.4 . Quem quiser ou precisar instala a versão mais nova do kernel.